Docker Desktop

Before You Start

Kubernetes & Openshift Version Support
  • Kubernetes: Pachyderm supports the three most recent minor release versions of Kubernetes. If your Kubernetes version is not among these, it is End of Life (EOL) and unsupported. This ensures Pachyderm users access to the latest Kubernetes features and bug fixes.
  • Openshift: Pachyderm is compatible with OpenShift versions within the “Full Support” window.

1. Install Docker Desktop

  1. Install Docker Desktop for your machine.
  2. Navigate to Settings for Mac, Windows, or Linux.
  3. Select Apply & Restart.

2. Install Pachctl CLI

3. Install & Configure Helm

  1. Install Helm:
    brew install helm
  2. Add the Pachyderm repo to Helm:
    helm repo add pachyderm https://helm.pachyderm.com  
    helm repo update  
  3. Install PachD:
Tip
Open your browser and check http://localhost before installing. If any other tools are using the same port as Pachyderm, add the following argument to the below command: --set proxy.service.httpPort=8080

This may take several minutes to complete.

4. Verify Installation

  1. In a new terminal, run the following command to check the status of your pods:
    kubectl get pods
    NAME                                           READY   STATUS      RESTARTS   AGE
    pod/console-5b67678df6-s4d8c                   1/1     Running     0          2m8s
    pod/etcd-0                                     1/1     Running     0          2m8s
    pod/pachd-c5848b5c7-zwb8p                      1/1     Running     0          2m8s
    pod/pg-bouncer-7b855cb797-jqqpx                1/1     Running     0          2m8s
    pod/postgres-0                                 1/1     Running     0          2m8s
  2. Re-run this command after a few minutes if pachd is not ready.

5. Connect to Cluster

pachctl connect http://localhost:80 
Warning
If you set the httpPort to a new value, such as 8080, use that value in the command. pachctl connect http://localhost:8080

Optionally open your browser and navigate to the Console UI.

Tip

You can check your Pachyderm version and connection to pachd at any time with the following command:

pachctl version
COMPONENT           VERSION  

pachctl             2.10.4  
pachd               2.10.4